> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Reorder Columns

> Reorder columns in a project



## OpenAPI

````yaml https://cloud.kaneo.app/api/openapi put /column/reorder/{projectId}
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /column/reorder/{projectId}:
    put:
      tags:
        - Columns
      summary: Reorder Columns
      description: Reorder columns in a project
      operationId: reorderColumns
      parameters:
        - in: path
          name: projectId
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                columns:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                      position:
                        type: number
                    required:
                      - id
                      - position
              required:
                - columns
      responses:
        '200':
          description: Columns reordered successfully
          content:
            application/json:
              schema:
                type: object
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````